<header class="header">
  <div class="container">
    <nav class="header-nav">
      <a routerLink="/" class="header-nav__brand">The Movies</a>
      <button appToggleNextElement class="header-nav__toggle collapsed">
        <img
          class="header-nav__menu-icon header-nav__menu-icon_show"
          src="../../../assets/img/icons/menu.svg"
          alt="menu"
        />
        <img
          class="header-nav__menu-icon header-nav__menu-icon_close"
          src="../../../assets/img/icons/close-menu.svg"
          alt="menu"
        />
      </button>
      <div class="header-nav__group">
        <div class="header-nav__item">
          <a
            appCollapseNavMenu
            class="header-nav__link"
            routerLinkActive="active"
            routerLink="/movies"
            >Movies</a
          >
        </div>
        <div class="header-nav__item">
          <a
            appCollapseNavMenu
            class="header-nav__link"
            routerLinkActive="active"
            routerLink="/tv-shows"
            >TV Show</a
          >
        </div>
        <div
          (clickOutside)="hideDropdown('ratingShow')"
          class="header-nav__item dropdown"
          routerLinkActive="active"
        >
          <button (click)="toggleDropdown('ratingShow')" class="header-nav__link">
            Rating
          </button>
          <div [ngClass]="{ show: ratingShow }" class="dropdown-menu">
            <a
              appCollapseNavMenu
              (click)="hideDropdown('ratingShow')"
              class="header-nav__link"
              routerLink="/rating/tv-shows"
              >TV Shows</a
            >
            <a
              appCollapseNavMenu
              (click)="hideDropdown('ratingShow')"
              class="header-nav__link"
              routerLink="/rating/movies"
              >Movies</a
            >
          </div>
        </div>
        <div class="header-nav__item">
          <a
            appCollapseNavMenu
            class="header-nav__link"
            routerLinkActive="active"
            routerLink="/upcoming"
            >Upcoming</a
          >
        </div>
        <div class="header-nav__item">
          <a
            *ngIf="!auth.userIsLogged()"
            appCollapseNavMenu
            class="header-nav__link"
            routerLinkActive="active"
            routerLink="/login"
            >Login</a
          >
          <a
            *ngIf="auth.userIsLogged()"
            appCollapseNavMenu
            class="header-nav__link"
            (click)="auth.signOut()"
            >Logout</a
          >
        </div>
      </div>
    </nav>
  </div>
</header>
